%define	name	directfb
%define version 1.0.0
%define release %mkrel 7
%define	oname	DirectFB
%define api 1.0
%define	major	0
%define	libname	%mklibname %{name} %{api}_%{major}
%define develname %mklibname %name -d

# Multiple applications support
# Requires fusion kernel module
%define build_multi	0
%{?_without_multi: %{expand: %%global build_multi 0}}
%{?_with_multi: %{expand: %%global build_multi 1}}

Summary:	Hardware graphics acceleration library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source0:	http://www.directfb.org/downloads/Core/%{oname}-%{version}.tar.bz2
# from Debian
Patch0:		03_link_static_sysfs.patch
Patch1:		08_link_static_ar.patch
URL:		http://www.directfb.org/
BuildRequires:	libpng-devel >= 1.2.0
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	freetype2-devel >= 2.0.2
BuildRequires:	libsysfs2-devel
BuildRequires:  kernel-source
BuildRequires:  automake1.8
BuildRequires:	SDL-devel
%if %{build_multi}
BuildRequires:	fusion-devel >= 3.0
%endif
# prevent linking devel subpackage with older libraries:
# (blino) please uncomment when major is changed
# BuildConflicts: directfb-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
DirectFB hardware graphics acceleration - libraries.

%package -n	%{libname}
Summary:        Shared library part of %oname
Group:		System/Libraries

%description -n	%{libname}
DirectFB hardware graphics acceleration - libraries.

This package contains the %oname shared library and interface modules.
It's required for running apps based on %oname.


%package -n	%develname
Group:		Development/C
Summary:	Header files for compiling DirectFB applications
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}
Provides:	libdirectfb0.9-devel = %{version}-%{release}
Conflicts:	%mklibname -d directfb 0.9_20
Conflicts:	%mklibname -d directfb 0.9_21
Conflicts:	%mklibname -d directfb 0.9_25
# required for systems/libdirectfb_fbdev.{so,a} (find-requires does not look in subdirs)
Requires:	libsysfs-static-devel
Obsoletes:	%mklibname %name 1.0_0 -d

%description -n	%develname
DirectFB header files for building applications based on %oname. 

%package	doc
Summary:	DirectFB - documentation
Group:		Books/Computer books

%description	doc
DirectFB documentation and examples.

%prep
%setup  -q -n %{oname}-%{version}
%patch0 -p0 -b .sysfs
%patch1 -p0 -b .ar
aclocal-1.8
autoconf
automake-1.8 -a -c

%build
CFLAGS="$RPM_OPT_FLAGS -O3" \
%configure2_5x \
	--disable-maintainer-mode \
	--enable-shared \
	--enable-static \
	--disable-fast-install \
	--disable-avifile \
	--disable-debug \
	--with-gfxdrivers=ati128,cle266,cyber5k,i810,i830,mach64,neomagic,nsc,nvidia,radeon,savage,sis315,tdfx,unichrome \
%if %build_multi
	--enable-multi
%else
	--disable-multi
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# we don't ship these ATM, libtool relink problem
#rm -f %buildroot/%_bindir/dfbg
#rm -f %buildroot/%_mandir/man1/dfbg.1
#rm -f %buildroot/%_bindir/dfbdump
#rm -f %buildroot/%_bindir/dfbinfo
#rm -f %buildroot/%_bindir/dfblayer

# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/directfb-config

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(644,root,root,755)
%doc README* AUTHORS NEWS TODO
%attr(755,root,root) %{_libdir}/lib*%{api}.so.%{major}*
%exclude %{_libdir}/directfb-%{api}-%major/*/*.a
%exclude %{_libdir}/directfb-%{api}-%major/*/*/*.a
%{_libdir}/directfb-%{api}-%major
%{_datadir}/directfb-%{version}


%files -n %develname
%defattr(755,root,root,755)
%{_bindir}/directfb-config
%multiarch %{multiarch_bindir}/directfb-config
%{_bindir}/directfb-csource
%{_bindir}/dfblayer
%{_bindir}/dfbdump
%{_bindir}/dfbg
%{_bindir}/dfbinfo
%{_bindir}/dfbinput
%{_bindir}/dfbpenmount
%{_bindir}/dfbscreen
%{_bindir}/dfbsummon
%{_bindir}/mkdfiff
%{_bindir}/mkdgiff
%defattr(644,root,root,755)
%{_includedir}/directfb
%{_includedir}/directfb-internal
%{_mandir}/man1/directfb-csource.1*
%{_mandir}/man1/dfbg.1*
%{_mandir}/man5/directfbrc.5*
%{_libdir}/pkgconfig/*
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/directfb-%{api}-%major/*/*.a
%{_libdir}/directfb-%{api}-%major/*/*/*.a

%files doc
%defattr(644,root,root,755)
%doc docs/html/*




%changelog
* Tue Jun 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-7mdv2008.0
+ Revision: 44532
- new devel library policy

* Sat Jun 09 2007 Olivier Blin <oblin@mandriva.com> 1.0.0-6mdv2008.0
+ Revision: 37708
- require libsysfs-static-devel in devel package

* Sat Jun 09 2007 Olivier Blin <oblin@mandriva.com> 1.0.0-5mdv2008.0
+ Revision: 37693
- use .a archives for static linking instead of the .o files (from Debian, required for splashy)
- add sysfs in directfb-config (patch from Debian)
- require libsysfs-devel in devel package

* Sat Jun 09 2007 Olivier Blin <oblin@mandriva.com> 1.0.0-4mdv2008.0
+ Revision: 37601
- build static files in devel package

  + Funda Wang <fundawang@mandriva.org>
    - Hardcode buildrequires libmajor

* Mon May 21 2007 Götz Waschk <waschk@mandriva.org> 1.0.0-2mdv2008.0
+ Revision: 29019
- add conflicts with older devel packages

* Tue May 15 2007 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2008.0
+ Revision: 26888
- new version
- new major
- disable matrox driver


* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 0.9.25.1-4mdv2007.1
+ Revision: 144510
- do not buildconflicts with directfb-devel since this package buildrequires SDL-devel which requires directfb-devel (to restore on major change)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - do not package huge (1.3Mb!) ChangeLog

* Sun Feb 18 2007 Anssi Hannula <anssi@mandriva.org> 0.9.25.1-3mdv2007.1
+ Revision: 122544
- rebuild for new libgii
- Import directfb

* Sat May 06 2006 Anssi Hannula <anssi@mandriva.org> 0.9.25.1-2mdk
- add build switch for multi, default disabled
- BuildRequires SDL-devel

* Sat May 06 2006 Gtz Waschk <waschk@mandriva.org> 0.9.25.1-1mdk
- update file list
- new major
- drop patch
- New release 0.9.25.1

* Fri Apr 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9.24-5mdk
- rebuild (fix /usr/lib/pkgconfig/directfb-internal.pc version on x86_64)

* Tue Dec 13 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.24-4mdk
- rebuild with new libsysfs

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.24-3mdk
- rebuild because devel subpackage got linked with 0.9.22 instead of 0.9.24
  on x86_64

* Thu Nov 03 2005 Götz Waschk <waschk@mandriva.org> 0.9.24-2mdk
- rebuild for new directfb

* Wed Nov 02 2005 Gtz Waschk <waschk@mandriva.org> 0.9.24-1mdk
- new major
- drop merged patch 2
- New release 0.9.24

* Sat Jul 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.22-5mdk
- rebuild so that devel subpackage got linked with 0.9.22 instead of 0.9.21 on
  x86_64

* Sat Jun 18 2005 Gtz Waschk <waschk@mandriva.org> 0.9.22-4mdk
- add conflict to fix upgrade from stable

* Sun May 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.22-3mdk
- update patch2 to include i830 driver (fix ppc build)

* Sat Apr 30 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.22-2mdk
- rebuild so that devel subpackage got linked with 0.9.22 instead of 0.9.21

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 0.9.22-1mdk
- drop patch 0
- new major
- New release 0.9.22

* Sat Feb 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.21-3mdk
- Patch2: fix build on ppc (don't build savage driver)
- add BuildRequires: libsysfs-devel

* Tue Feb 15 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.21-2mdk
- nuke lib64 rpaths
- fix build, multiarch

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.21-1mdk
- 0.9.21 (finally!)
- do libtoolize again
- compile with -O3
- ship all binaries again
- drop P1, P2 & P3 (fixed upstream)
- cosmetics

* Wed Sep 29 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.20-2mdk
- merge patches from Debian:
  * fix matrox driver build
  * fix savage driver build (include <linux/fb.h> adequately)
  * fix IDirectFBVideoProvider build (add <linux/videodev2.h> specifically)

